org.apache.ignite.osgi.classloaders

## Enum OsgiClassLoadingStrategyType

- java.lang.Object
- - java.lang.Enum<OsgiClassLoadingStrategyType>
  - - org.apache.ignite.osgi.classloaders.OsgiClassLoadingStrategyType

- All Implemented Interfaces:
    Serializable, Comparable<OsgiClassLoadingStrategyType>

      public enum OsgiClassLoadingStrategyType
      extends Enum<OsgiClassLoadingStrategyType>

  Enum for the user to indicate which type of `ClassLoader` Ignite should use.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BUNDLE_DELEGATING` Use this value for `BundleDelegatingClassLoader`.
    `CONTAINER_SWEEP` Use this value for `ContainerSweepClassLoader`.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OsgiClassLoadingStrategyType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OsgiClassLoadingStrategyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BUNDLE_DELEGATING

          public static final OsgiClassLoadingStrategyType BUNDLE_DELEGATING

      Use this value for `BundleDelegatingClassLoader`.

    - #### CONTAINER_SWEEP

          public static final OsgiClassLoadingStrategyType CONTAINER_SWEEP

      Use this value for `ContainerSweepClassLoader`.

  - ### Method Detail

    - #### values

          public static OsgiClassLoadingStrategyType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OsgiClassLoadingStrategyType c : OsgiClassLoadingStrategyType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OsgiClassLoadingStrategyType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021